﻿using System.Runtime.Serialization;

namespace Benner.BeTech.Entities.Interfaces.Components
{
    public interface IConclusaoTarefaComponent
    {
        void Concluir(ProcessarConclusaoRequest request);
        void Cancelar(long btUsuarioTarefaHandle);
    }

    [DataContract]
    public class ProcessarConclusaoRequest
    {
        [DataMember] public long BtUsuarioTarefaHandle { get; set; }
        [DataMember] public int HorasExecutadas { get; set; }
    }
}
