﻿using Benner.BeTech.Entities.BeTech;
using Benner.BeTech.Entities.Interfaces.Components;
using Benner.Tecnologia.Common;

namespace Benner.BeTech.Tarefas.Components.ConclusaoTarefa.Processadores
{
    internal sealed class ProcessadorSituacao : IProcessador
    {
        public CustomizationLevel CustomizationLevel => CustomizationLevel.Benner;

        public void Cancelar(IBt_UsuarioTarefas btUsuarioTarefa)
        {
            btUsuarioTarefa.Situacao = Bt_UsuarioTarefasSituacaoTabItens.ItemCancelada;
        }

        public void Concluir(IBt_UsuarioTarefas btUsuarioTarefa, ProcessarConclusaoRequest request)
        {
            btUsuarioTarefa.Situacao = Bt_UsuarioTarefasSituacaoTabItens.ItemConcluida;
        }
    }
}
