﻿using Benner.BeTech.Engage.AplicadoresDeEstilos.SimpleGrids;
using Benner.BeTech.Engage.Esp.AplicadoresDeEstilos.SimpleGrids;
using Ninject.Modules;

namespace Benner.BeTech.Engage.Esp
{
    public sealed class EspEngageNinjectModule : NinjectModule
    {
        public override void Load()
        {
            Load_AplicadoresDeEstilos();
        }

        private void Load_AplicadoresDeEstilos()
        {
            Rebind<IAplicadorDeEstilosBeTechTarefasGrid>()
                .To<AplicadorDeEstilosEspecificoBeTechTarefasGrid>();
        }
    }
}
