﻿using Benner.BeTech.Engage.AplicadoresDeEstilos.SimpleGrids;
using Ninject.Modules;

namespace Benner.BeTech.Engage
{
    public sealed class EngageNinjectModule : NinjectModule
    {
        public override void Load()
        {
            Load_AplicadoresDeEstilos();
        }

        private void Load_AplicadoresDeEstilos()
        {
            Bind<IAplicadorDeEstilosBeTechTarefasGrid>()
                .To<AplicadorDeEstilosBeTechTarefasGrid>();
        }
    }
}
