﻿using Benner.BeTech.Tarefas.Components.ConclusaoTarefa;
using Ninject.Modules;

namespace Benner.BeTech.Tarefas.Esp
{
    public sealed class EspTarefasNinjectModule : NinjectModule
    {
        public override void Load()
        {
            RegistrarItensInternos();
        }

        private void RegistrarItensInternos()
        {
            Bind<IProcessador>()
                .To<Components.ConclusaoTarefa.Processadores.ProcessadorEspHorasEPontos>();

            Bind<IValidador>()
                .To<Components.ConclusaoTarefa.Validadores.ValidadorEspObservacao>();
        }
    }
}
