﻿using Benner.BeTech.Entities.BeTech;
using Benner.BeTech.Entities.Interfaces.Components;
using Benner.Tecnologia.Common;
using System;

namespace Benner.BeTech.Tarefas.Components.ConclusaoTarefa.Processadores
{
    internal sealed class ProcessadorHorasEPontos : IProcessador
    {
        public CustomizationLevel CustomizationLevel => CustomizationLevel.Benner;

        public void Cancelar(IBt_UsuarioTarefas btUsuarioTarefa)
        {
            // não executa nada ao cancelar
        }

        public void Concluir(IBt_UsuarioTarefas btUsuarioTarefa, ProcessarConclusaoRequest request)
        {
            btUsuarioTarefa.HorasExecucao = request.HorasExecutadas;
            btUsuarioTarefa.PontuacaoFinal = btUsuarioTarefa.PontuacaoEstimada;
        }
    }
}
